SubscriptionScheduleCreateRequest
Request body for creating a subscription schedule.
The first phase's start_date determines when the workflow activates and creates the
subscription. If start_date is in the past, the subscription is created immediately.
Use this endpoint (not POST /v1/subscriptions) when:
- You have a one-time charge (e.g. setup fee) on the first invoice
- Billing should stop after N months (
end_behavior: CANCEL) - Prices or items change at a future date
- The subscription start date is in the future
- customerType: stringrequired
ID of the customer for whom the schedule is created.
- phasesType: SchedulePhases 1…20requiredProperties: 10
Ordered list of schedule phases. Applied sequentially by the workflow. The first phase's
start_datedetermines when the subscription is created. - defaultType: ScheduleDefaultSettings
_settings Properties: 3Default settings applied to the subscription created by this schedule.
- endType: ScheduleEndBehaviorenum
_behavior What happens when the last phase ends:
RELEASE— schedule becomesRELEASED; the subscription continues billing on its own cadenceCANCEL— the subscription is immediately canceled; schedule becomesCOMPLETEDNONE— no action taken; schedule remains active
valuesRELEASECANCELNONE - metadataType: object | nullProperties: 1
Arbitrary key-value pairs for storing additional information.
- livemodeType: boolean
Whether this schedule is in live mode or test mode.
- billingType: object | null
_mode Properties: 1COMING SOON — Reserved for future billing mode configuration. Currently accepted and stored but has no effect on billing behavior.

